Enumerations | Functions
libebook::FB2Token Namespace Reference

## Enumerations
enum | { INVALID_TOKEN = 0, FIRST_TOKEN = EBOOKToken<FB2Parser>::FIRST_TOKEN, NS_FICTIONBOOK, NS_XLINK, NS_XML, NS_XMLNS, a, annotation, author, binary, body, book_name, book_title, cite, city, code, coverpage, custom_info, date, description, document_info, email, emphasis, empty_line, epigraph, FictionBook, first_name, genre, history, home_page, id, image, isbn, keywords, lang, last_name, middle_name, nickname, output, output_document, p, part, poem, program_used, publisher, publish_info, section, sequence, src_lang, src_ocr, src_title_info, src_url, stanza, strikethrough, strong, style, stylesheet, sub, subtitle, sup, table, td, text_author, th, title, title_info, tr, translator, v, version, year, align, alt, colspan, content_type, create, currency, href, include, include_all, info_type, match, mode, name, number, price, rowspan, type, value, image_jpg, note, simple, LAST_TOKEN }

## Functions
| BOOST_STATIC_ASSERT (EBOOKToken< FB2Parser >::LAST_TOKEN >=LAST_TOKEN)

## Enumeration Type Documentation

## § anonymous enum

anonymous enum

Enumerator
INVALID_TOKEN |
FIRST_TOKEN |
NS_FICTIONBOOK |
NS_XLINK |
NS_XML |
NS_XMLNS |
a |
annotation |
author |
binary |
body |
book_name |
book_title |
cite |
city |
code |
coverpage |
custom_info |
date |
description |
document_info |
email |
emphasis |
empty_line |
epigraph |
FictionBook |
first_name |
genre |
history |
home_page |
id |
image |
isbn |
keywords |
lang |
last_name |
middle_name |
nickname |
output |
output_document |
p |
part |
poem |
program_used |
publisher |
publish_info |
section |
sequence |
src_lang |
src_ocr |
src_title_info |
src_url |
stanza |
strikethrough |
strong |
style |
stylesheet |
sub |
subtitle |
sup |
table |
td |
text_author |
th |
title |
title_info |
tr |
translator |
v |
version |
year |
align |
alt |
colspan |
content_type |
create |
currency |
href |
include |
include_all |
info_type |
match |
mode |
name |
number |
price |
rowspan |
type |
value |
image_jpg |
note |
simple |
LAST_TOKEN |

## Function Documentation

## § BOOST_STATIC_ASSERT()

libebook::FB2Token::BOOST_STATIC_ASSERT | ( | EBOOKToken< FB2Parser >::LAST_TOKEN >= | LAST_TOKEN | ) |